import './interview-item.scss';
import {createElement} from "../../_global/scripts/helpers";

export const createInterviewItem =
    ({
        partnerClass = 'interviewer',
        headline = '',
        text = '',
    }) => {

    const div = createElement('div', ['interview-item', 'variant-base', partnerClass]);
    if (headline) {
        const headlineDiv = createElement('div', ['headline'], headline, div);
    }
    if (text) {
        const textDiv = createElement('div', ['text'], null, div);
        const textContent = createElement('p', [], text, textDiv);
    }

    return div;
}